Page MenuHomePhabricator

perf regressions (filter related?)
Closed, WontfixPublic

Description

empc has functionality where it will auto-add newly detected files in the music directory to its queue (genlist). After updating to rEFLe88423e9948f0c39d6b16f9c33e7583545e525f1, appending new items to the genlist causes evas_call_smarts_calculate() to loop edje objects with filtered text enough times that the ui locks up for 30+ seconds at a time.

zmike created this task.Apr 29 2016, 6:55 PM
zmike closed this task as Resolved.Apr 30 2016, 8:02 AM

Hm I updated to master and it seems resolved. wtf is going on these days

zmike reopened this task as Open.Apr 30 2016, 10:09 AM

Nope, not resolved, just doesn't happen all the time I guess. Also can happen when deleting items.

jpeg added a comment.Apr 18 2017, 6:01 AM

merf. are you still seeing this?

zmike added a comment.Apr 18 2017, 6:43 AM

Should a recent commit have fixed it?

jpeg added a comment.Apr 18 2017, 7:09 PM

This is a year old. There have been maybe ~10k loc changes related to the filters since...

jpeg closed this task as Wontfix.Jan 30 2018, 11:26 PM